#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun Oct 17 13:06:39 2021

@author: eriboulet
"""

# Fentes d'Young

# Intensité lumineuse en un point M du champ d'interférences : I
# Intensité lumineuse d'une fente : I0
# Longueur d'onde : lambda
# Distance entre les fentes : a
# Distance fentes/écran : D
# Position du point M sur l'écran (origine dans le plan médian des fentes) : x
# f(x) = I/(2.I0) intensité relative

l = 632.8 # en nm (laser Hélium/Néon rouge)
a = 0.1 # en mm
D = 1.5 # en m

interfrange = round(l*D/a*1e-4,2) # interfrange (en cm) valeur théorique
print('interfrange =',interfrange,'cm')

from numpy import *
import matplotlib.pyplot as plt

x=linspace(-5,5,500)

def f(x):
    return 1+cos(2*pi*a*x/l/D*1e4)
plt.xlabel('x(cm)')
plt.ylabel('I/(2.I0)')
plt.plot(x,f(x))
plt.show()